Bug 1761783 - python2-dulwich fails to install in Fedora rawhide due to retired python2-ipaddress
Summary: python2-dulwich fails to install in Fedora rawhide due to retired python2-ipa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-dulwich
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-10-15 11:22 UTC by Miro Hrončok
Modified: 2019-11-27 01:04 UTC (History)
1 user (show)

Fixed In Version: python-dulwich-0.19.13-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-11 09:39:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-10-15 11:22:45 UTC
python2-dulwich-0.19.12-3.fc32.x86_64 fails to install in Fedora rawhide:

  package python2-dulwich-0.19.12-3.fc32.x86_64 requires python2.7dist(urllib3) >= 1.24.1, but none of the providers can be installed
  nothing provides python2-ipaddress needed by python2-urllib3-1.25.3-6.fc32.noarch

This is most caused by python-ipaddress being retired after being orphaned for 6+ weeks.
Please drop the dependency, or remove the package.

When dropping python2-dulwich, please coordinate with dependent packages.
Thanks

Comment 1 Miro Hrončok 2019-10-22 15:38:50 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Miro Hrončok 2019-10-23 06:02:21 UTC
See also bz1763092.

Comment 3 Miro Hrončok 2019-10-29 19:22:51 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 4 Miro Hrončok 2019-11-06 19:19:07 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 5 Fedora Update System 2019-11-11 08:23:07 UTC
FEDORA-2019-3cf02cb410 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3cf02cb410

Comment 6 Fedora Update System 2019-11-11 18:55:45 UTC
FEDORA-EPEL-2019-224a4676eb has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-224a4676eb

Comment 7 Fedora Update System 2019-11-12 05:26:03 UTC
python-dulwich-0.19.13-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-224a4676eb

Comment 8 Fedora Update System 2019-11-27 01:04:03 UTC
python-dulwich-0.19.13-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.